- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
BaseDigraphComponent Class Reference

## Detailed Description

This class describes the base interface of directed graph types. All digraph concepts have to conform to this class. It just provides types for nodes and arcs and functions to get the source and the target nodes of arcs.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for BaseDigraphComponent:
[legend]

## Public Types
typedef GraphItem<'n'> | Node
| Node class of the digraph. More...
typedef GraphItem<'a'> | Arc
| Arc class of the digraph. More...

## Public Member Functions
Node | source (const Arc &) const
| Return the source node of an arc. More...
Node | target (const Arc &) const
| Return the target node of an arc. More...
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc. More...

## Member Typedef Documentation

typedef GraphItem<'n'> Node

This class represents the nodes of the digraph.

typedef GraphItem<'a'> Arc

This class represents the arcs of the digraph.

## Member Function Documentation

Node source | ( | const Arc & |  | ) | const
| inline

This function returns the source node of an arc.

Node target | ( | const Arc & |  | ) | const
| inline

This function returns the target node of an arc.

Node oppositeNode | ( | const Node & | ,
|  | const Arc & |
| ) |  | const
| inline

This function returns the opposite node on the given arc.